Update task
Partial update of a task. Setting done to true sets date_completed to today unless you also send date_completed. Setting done to false clears date_completed unless you also send date_completed.
Authentication
AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.
Path parameters
task_id
Task id (bigint as string)
Request
This endpoint expects an object.
title
description
assignee
due_date
priority
Allowed values:
done
Whether the task is complete
date_completed
seen
Whether the task has been seen
participant
project
Associated Caresquare project id
Response
Updated task
id
Task id (bigint as string)
created_at
title
description
assignee
due_date
priority
Priority: low, medium, or high
plan_manager
done
participant
project
Associated Caresquare project id (bigint as string)
date_completed
seen
created_by
User id of the creator (immutable)
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

